HD7970 not supported?


log in

Advanced search

Questions and Answers : GPU applications : HD7970 not supported?

Author Message
Prototype
Volunteer tester
Send message
Joined: 3 Apr 99
Posts: 67
Credit: 414,025
RAC: 0
United Kingdom
Message 1302742 - Posted: 6 Nov 2012, 5:15:49 UTC

I'm attempting to use a single HD7970 on S@H (standard apps on 7.0.28) only atm and am getting "App version needs OpenCL but GPU doesn't support it" errors, then a bunch of other errors as it thinks OpenCL isn't supported.

WTF is causing this?

Using CCC 12.10 on Win7 x64. Never had problems previously (although it been some time since I've run any BOINC project myself).


Profile Ageless
Avatar
Send message
Joined: 9 Jun 99
Posts: 12343
Credit: 2,640,670
RAC: 1,166
Netherlands
Message 1302815 - Posted: 6 Nov 2012, 12:20:59 UTC - in response to Message 1302742.

What is causing this?

The drivers. If not installed correctly, or if AMD left something out, or if AMD changed the position of some files, BOINC won't be able to detect whether or not there's OpenCL in the drivers. It has nothing to do with the videocard being supported or not, but all with the drivers.

So either fully uninstall the drivers (run something like Driver Sweeper), and reinstall the 12.10s or try older drivers instead.
____________
Jord

Fighting for the correct use of the apostrophe, together with Weird Al Yankovic

Dimitri_C_Patakidis
Send message
Joined: 10 Oct 99
Posts: 18
Credit: 8,313,285
RAC: 5,634
United States
Message 1303689 - Posted: 8 Nov 2012, 19:48:13 UTC - in response to Message 1302742.

Having a similar issue with a 7770.
You have a supported setup, so I'll follow this thread with interest :)



____________

Profile BilBg
Volunteer tester
Avatar
Send message
Joined: 27 May 07
Posts: 2830
Credit: 6,374,922
RAC: 7,293
Bulgaria
Message 1304627 - Posted: 10 Nov 2012, 20:42:31 UTC - in response to Message 1302742.


Try later (beta) BOINC version (7.0.36+):
http://setiathome.berkeley.edu/forum_thread.php?id=69469&postid=1286059#1286059


____________



- ALF - "Find out what you don't do well ..... then don't do it!" :)

Dimitri_C_Patakidis
Send message
Joined: 10 Oct 99
Posts: 18
Credit: 8,313,285
RAC: 5,634
United States
Message 1304682 - Posted: 10 Nov 2012, 22:55:36 UTC - in response to Message 1302742.

as it thinks OpenCL isn't supported.


Does GPU-Z or GPU_Caps_Viewer "see" OpenCL support ?


____________

Prototype
Volunteer tester
Send message
Joined: 3 Apr 99
Posts: 67
Credit: 414,025
RAC: 0
United Kingdom
Message 1304730 - Posted: 11 Nov 2012, 1:03:27 UTC - in response to Message 1304682.

Tried a number of versions of CCC with no difference, however switching BOINC from 7.0.28 to 7.0.36 appears to have fixed it, the GPU units are downloading as I write. :D

Try swapping the client (7.0.36 64-bit Win for me).

____________

schuhmacherb
Send message
Joined: 30 Nov 10
Posts: 2
Credit: 102,077
RAC: 14
United States
Message 1307476 - Posted: 18 Nov 2012, 19:22:59 UTC - in response to Message 1304627.

I too recently had the same problem with my desktop...
Specs:
W7 Pro 64bit
AMD Phenom II x4 965
4 Gb ram
HIS HD 4670 gpu

Updating BOINC manager to 7.0.36 x64 DID THE TRICK

thank you :) to those of you who always know more than me

Profile dancer42
Volunteer tester
Send message
Joined: 2 Jun 02
Posts: 436
Credit: 1,159,720
RAC: 102
United States
Message 1309488 - Posted: 23 Nov 2012, 22:31:06 UTC - in response to Message 1302742.

catalyst driver's after 12.8 do not include opencl, yor can run 12.8 diver or go to http://developer.amd.com/tools/heterogeneous-computing/amd-accelerated-parallel-processing-app-sdk/downloads/ and download and install amd streamung sdk a third option is to run the seti beta client being tested now.
____________

Profile Ageless
Avatar
Send message
Joined: 9 Jun 99
Posts: 12343
Credit: 2,640,670
RAC: 1,166
Netherlands
Message 1309512 - Posted: 23 Nov 2012, 23:27:46 UTC - in response to Message 1309488.

catalyst driver's after 12.8 do not include opencl

Uhm... as far as I know, they still do. It's for Windows XP that OpenCL support has been dropped since Catalysts 12.2 (so you need drivers up to 12.1).

But other than that, for all other platforms the Catalysts still have OpenCL support on board.

AMD Catalystâ„¢ Software Suite Version 12.8 Release Notes also states they've got OpenCL on board. So what makes you think they don't?
____________
Jord

Fighting for the correct use of the apostrophe, together with Weird Al Yankovic

Profile dancer42
Volunteer tester
Send message
Joined: 2 Jun 02
Posts: 436
Credit: 1,159,720
RAC: 102
United States
Message 1310670 - Posted: 27 Nov 2012, 3:39:20 UTC - in response to Message 1309512.

Install amd streaning sdk that will put opencl back in for current drivers.
____________

Profile Ageless
Avatar
Send message
Joined: 9 Jun 99
Posts: 12343
Credit: 2,640,670
RAC: 1,166
Netherlands
Message 1310742 - Posted: 27 Nov 2012, 11:50:57 UTC - in response to Message 1310670.
Last modified: 27 Nov 2012, 11:52:04 UTC

All the people in this thread at Einstein@Home are running 12.10 and 12.11 betaX, without any of them having had the need to install the SDK. They just installed drivers.

And that you didn't even take the time to read my former post, or take the time to go answer the question as to why you say this, here it is again: Proof. Come on, please show the world where AMD have said they stopped supporting OpenCL for anything other than Windows XP. I'm really interested.
____________
Jord

Fighting for the correct use of the apostrophe, together with Weird Al Yankovic

Questions and Answers : GPU applications : HD7970 not supported?

Copyright © 2014 University of California